Status da mensagem
curl --request GET \
--url https://api.aideskbr.com/api/public/v1/messages/{messageId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aideskbr.com/api/public/v1/messages/{messageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.aideskbr.com/api/public/v1/messages/{messageId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_message_id": "<string>",
"type": "<string>",
"direction": "outbound",
"delivery_state": "<string>",
"channel_kind": "whatsapp",
"body": "<string>",
"provider_error_code": "<string>",
"provider_error_detail": "<string>",
"sent_at": "2023-11-07T05:31:56Z",
"delivery_updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "api_key_required",
"message": "API key ausente"
}
}{
"error": {
"code": "missing_scope",
"message": "Scope insuficiente"
}
}{
"error": {
"code": "message_not_found",
"message": "Mensagem não encontrada"
}
}{
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded"
}
}Messages
Status da mensagem
Consulta status/delivery de uma mensagem enviada pela API pública.
Requer scope messages:read. Consome bucket read.
GET
https://api.aideskbr.com
/
api
/
public
/
v1
/
messages
/
{messageId}
Status da mensagem
curl --request GET \
--url https://api.aideskbr.com/api/public/v1/messages/{messageId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aideskbr.com/api/public/v1/messages/{messageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.aideskbr.com/api/public/v1/messages/{messageId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_message_id": "<string>",
"type": "<string>",
"direction": "outbound",
"delivery_state": "<string>",
"channel_kind": "whatsapp",
"body": "<string>",
"provider_error_code": "<string>",
"provider_error_detail": "<string>",
"sent_at": "2023-11-07T05:31:56Z",
"delivery_updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "api_key_required",
"message": "API key ausente"
}
}{
"error": {
"code": "missing_scope",
"message": "Scope insuficiente"
}
}{
"error": {
"code": "message_not_found",
"message": "Mensagem não encontrada"
}
}{
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded"
}
}Authorizations
bearerAuthapiKeyAuth
Authorization: Bearer ak_live_
Path Parameters
Response
Mensagem encontrada
Example:
"outbound"
Example:
"whatsapp"